Loading...
Searching...
No Matches
SymbolAtomTyper Class Reference

The SymbolAtomTyper class is a simple implementation of AtomTyper that assigns element symbols to each atom.

`#include <avogadro/core/symbolatomtyper.h>`

Inheritance diagram for SymbolAtomTyper:

## Public Member Functions

| SymbolAtomTyper (const Molecule *mol=nullptr)
Public Member Functions inherited from AtomTyper< std::string >
| AtomTyper (const Molecule *mol=nullptr)
void | setMolecule (const Molecule *mol)
virtual void | run ()
virtual std::string | atomType (const Atom &atom)
Array< std::string > | types () const
virtual void | reset ()

## Protected Member Functions

std::string | type (const Atom &atom) override
Protected Member Functions inherited from AtomTyper< std::string >
virtual void | initialize ()

## Additional Inherited Members

Public Types inherited from AtomTyper< std::string >
using | ValueType
Protected Attributes inherited from AtomTyper< std::string >
const Molecule * | m_molecule
Array< std::string > | m_types

## Member Function Documentation

## type()

std::string type | ( | const Atom & | atom | ) |

override protected virtual

Determines the type of the atom.

Parameters

  atom | The atom to type.

Returns
  The type of atom.

Implements AtomTyper< std::string >.

The documentation for this class was generated from the following file:

- symbolatomtyper.h